# Generated from nagios-promoo-1.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nagios-promoo

Name: rubygem-%{gem_name}
Version: 1.7.1
Release: 1%{?dist}
Summary: Nagios Probes for Monitoring OpenNebula and OCCI
License: Apache-2.0
URL: https://github.com/arax/nagios-promoo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.47
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubygems-tasks) >= 0.2.4
# BuildRequires: rubygem(rubygems-tasks) < 1
# BuildRequires: rubygem(simplecov) >= 0.13
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Nagios Probes for Monitoring OpenNebula and OCCI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/nagios-promoo
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nagios-promoo.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.7.1-1
- Initial package
